Issue Workaround: IE 7, 8, 9, or 10 Displays IE6 Unsupported Browser Page

Version 2




    Users may see a page identifying them as an IE 6 user and telling them that their browser is unsupported, even while using IE 7, 8, 9, or 10.  This issue prevents users from accessing the site using that browser.


    This issue only affects versions 5.0.0, 5.0.1, and 5.0.2.  Versions 6.0+ are not affected.


    Issue Details

    • Bug ID: JIVE-13239 and JIVE-16590
    • Bug Summary: IE7 to IE10 might show as MSIE 6.0 user agent, blocking users from site
    • Affected Versions: Jive Custom 5.0.0, 5.0.1, 5.0.2,
    • Fix Versions: Jive Custom 5.0.3


    Identifying the Problem



    This document has been verified for versions: Jive Custom 5.0.0, 5.0.1, 5.0.2



    • User is using IE7, 8, 9, or 10.
    • User is attempting to access a 5.0.0, 5.0.1, or 5.0.2 site (this includes maintenance releases, such as
    • User may or may not have compatibility mode enabled.




    When a user attempts to navigate to the site, they'll be re-directed to a page similar to the following and will not be able to access the site due to the following warning:


    Attention, Internet Explorer 6 User


    Announcement: Jive end-of-life support for Internet Explorer 6


    In order to provide the best platform for continued innovation, Jive no longer supports Internet Explorer 6.


    Jive will not function with this version of Internet Explorer.  Please consider upgrading to Internet Explorer 7, 8, or 9, or trying another browser such as Firefox, Safari, or Google Chrome.


    (Please remember to honor your company's IT policies before installing new software!)





    The user agent string of the user's browser identifies itself as IE 6, which causes the application to misinterpret the user's browser as unsupported.


    Resolutions and Workarounds


    This issue was resolved in version 5.0.3.  As version 5.x has reached it's Product Support EOL, fixes for this issue can only be obtained by upgrading to version or greater.  Jive strongly recommends that you upgrade to the latest release to take advantage of additional bug fixes as well as the latest feature enhancements.


    To work around the issue, you can use one of the other Supported Browsers for version 5.x.  Please note that IE10 is not a supported browser for versions prior to 5.0.6, and that IE's "compatibility mode" is also not supported.